Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API key. To get your API key, go to Developer Hub and click "Create new API Key".
draft - the project was created but has not been submitted for rendering
queued - the job is waiting for an available server
rendering - the job is being processed; the video.started webhook event fires when rendering begins
complete - the job finished successfully; fires video.completed
error - the job failed during processing; fires video.errored
canceled - the job was manually canceled (for example from the Magic Hour web app)
Note:rendering, complete, and error have matching webhook events; canceled does not - a canceled job emits no webhook event, so poll this endpoint to detect cancellation.
The type of the video project. Possible values are ANIMATION, AUTO_SUBTITLE, VIDEO_TO_VIDEO, FACE_SWAP, TEXT_TO_VIDEO, IMAGE_TO_VIDEO, LIP_SYNC, TALKING_PHOTO, AVATAR, VIDEO_UPSCALER, VIDEO_EDITOR, CHARACTER_REPLACE, VIDEO_COLORIZER, VIDEO_WATERMARK_REMOVER, VIDEO_COLOR_GRADER, VIDEO_TRANSLATOR, MUSIC_VIDEO, EXTEND, AUDIO_TO_VIDEO, VIDEO_EXPANDER, UGC_AD
The amount of credits deducted from your account to generate the video. If the status is not 'complete', this value is an estimate and may be adjusted upon completion based on the actual FPS of the output video.
If video generation fails, credits will be refunded, and this field will be updated to include the refund.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Magic Hour API Docs","description":"Easily generate videos, images, and audio using Magic Hour's API. Follow our documentation to seamlessly integrate AI content creation into your applications.","colors":{"primary":"#3b82f6","light":"#0564ff","dark":"#3b82f6"},"logo":{"light":"https://mintcdn.com/magichour/5sgGJpuuipkw5s5v/icons/logo-light.svg?fit=max\u0026auto=format\u0026n=5sgGJpuuipkw5s5v\u0026q=85\u0026s=1f167e30baf11927bc2e0932411e455b","dark":"https://mintcdn.com/magichour/5sgGJpuuipkw5s5v/icons/logo-dark.svg?fit=max\u0026auto=format\u0026n=5sgGJpuuipkw5s5v\u0026q=85\u0026s=15c8bda28931ac4e1e2fab2c0ba6f0d5"},"favicon":"https://mintcdn.com/magichour/kbUwXh9ksnVyRSci/icons/favicon.png?fit=max\u0026auto=format\u0026n=kbUwXh9ksnVyRSci\u0026q=85\u0026s=c4fda903b24dd7067dadd1bb75508987","appearance":{"default":"dark","strict":false},"background":{"decoration":"gradient"},"navbar":{"links":[{"href":"mailto:support@magichour.ai","label":"Support"}],"primary":{"type":"button","label":"Get API key","href":"https://magichour.ai/developer?tab=api-keys\u0026ref=docs-navbar\u0026utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=navbar"}},"footer":{"socials":{"website":"https://magichour.ai/?utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=footer","x":"https://x.com/magichourai","github":"https://github.com/magichourhq","linkedin":"https://linkedin.com/company/magichour","instagram":"https://instagram.com/magichourai","youtube":"https://youtube.com/@magichourai"}},"seo":{"metatags":{"og:image":"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg","twitter:image":"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg"}},"integrations":{"ga4":{"measurementId":"G-CZ9Q9NBZB3"},"posthog":{"apiKey":"phc_EmzSy2RU0TOPhpouazMzxFedNdMyhze8HakyjffW2Wr","apiHost":"https://us.i.posthog.com"}},"contextual":{"options":["chatgpt","claude","perplexity","mcp","cursor","vscode","copy","view"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"API quickstart","icon":"forward-fast","href":"/get-started/quick-start"},{"anchor":"API pricing","icon":"credit-card","href":"/billing/overview"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/JX5rgsZaJp"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.magichour.ai"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"magichour","hasAudioNarration":false,"actualSubdomain":"magichour","customDomains":["docs.magichour.ai"],"gitSource":{"type":"github","owner":"magichourhq","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6aecb80c7e2a3b454e467e7f","collectionId":"f70f10c6-0e08-430b-8d45-0b00e28cff62","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6aecb80c7e2a3b454e467e7f"},"feedback":{"thumbs":true,"issues":true,"edits":true},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6aecb80c7e2a3b454e467e7f","clientVersion":"0.0.4076","searchFilterCounts":[{"language":"default","tag":"Documentation","count":97},{"language":"default","tag":"Integration","count":56},{"language":"default","tag":"API Reference","count":46},{"language":"default","tag":"Tools","count":30},{"language":"default","tag":"Image Projects","count":16},{"language":"default","tag":"Video Projects","count":16},{"language":"default","tag":"Images","count":15},{"language":"default","tag":"Video","count":12},{"language":"default","tag":"Webhook Reference","count":10},{"language":"default","tag":"Get Started","count":7}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#sidebar,#table-of-contents-content{scrollbar-gutter:stable;scrollbar-width:thin;scrollbar-gutter:none;scrollbar-color:gray transparent}"}],"page":{"pagePath":"api-reference/video-projects/get-video-details","slug":"/api-reference/video-projects/get-video-details","pageMetadata":{"openapi":"get /v1/video-projects/{id}","title":"Get Video Details API Reference - Magic Hour Docs","sidebarTitle":"Get Video Details","description":"Check the progress of a video project. The `downloads` field is populated after a successful render.\n \n**Statuses**\n- `queued` — waiting to start\n- `rendering` — in progress\n- `complete` — ready; see `downloads`\n- `error` — a failure occurred (see `error`)\n- `canceled` — user canceled\n- `draft` — not used","href":"/api-reference/video-projects/get-video-details"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n li: \"li\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsxs(_components.p, {\n children: [\"Check the progress of a video project. The \", _jsx(_components.code, {\n children: \"downloads\"\n }), \" field is populated after a successful render.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Statuses\"\n })\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"queued\"\n }), \" — waiting to start\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"rendering\"\n }), \" — in progress\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"complete\"\n }), \" — ready; see \", _jsx(_components.code, {\n children: \"downloads\"\n })]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"error\"\n }), \" — a failure occurred (see \", _jsx(_components.code, {\n children: \"error\"\n }), \")\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"canceled\"\n }), \" — user canceled\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"draft\"\n }), \" — not used\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"get /v1/video-projects/{id}","title":"Get Video Details API Reference - Magic Hour Docs","sidebarTitle":"Get Video Details","description":"Check the progress of a video project. The `downloads` field is populated after a successful render.\n \n**Statuses**\n- `queued` — waiting to start\n- `rendering` — in progress\n- `complete` — ready; see `downloads`\n- `error` — a failure occurred (see `error`)\n- `canceled` — user canceled\n- `draft` — not used","href":"/api-reference/video-projects/get-video-details"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Check the progress of a video project. The `downloads` field is populated after a successful render.\n \n**Statuses**\n- `queued` — waiting to start\n- `rendering` — in progress\n- `complete` — ready; see `downloads`\n- `error` — a failure occurred (see `error`)\n- `canceled` — user canceled\n- `draft` — not used","summary":"Get video details","tags":["Video Projects"],"parameters":["346a455b-f1c6-400b-a364-273d8ce5cde9"],"operationId":"videoProjects.getDetails","responses":{"200":"6537e6d5-4b69-4812-85cc-900c571efab7","400":"54218b65-ea70-4af5-ae8c-1bff28dc6997","401":"ac60d6c8-eb60-4e86-9afb-94f2d219bf26","402":"439e21e1-eb21-44a6-b611-af7379a71806","404":"46113c9a-726b-441f-bbe8-928076eaed4b","500":"d557d775-997d-43b2-977a-2d22f0ae20e7"},"security":["a31f7866-dc18-4ae8-a0af-4aa460967cf1"],"x-codeSamples":[{"lang":"python","source":"from magic_hour import Client\nfrom os import getenv\n\nclient = Client(token=getenv(\"MAGIC_HOUR_API_KEY\"))\nres = client.v1.video_projects.get(id=\"cuid-example\")"},{"lang":"javascript","source":"import { Client } from \"magic-hour\";\n\nconst client = new Client({ token: process.env[\"MAGIC_HOUR_API_KEY\"] });\nconst res = await client.v1.videoProjects.get({ id: \"cuid-example\" });"},{"lang":"go","source":"package main\n\nimport (\n\tos \"os\"\n\n\tsdk \"github.com/magichourhq/magic-hour-go/client\"\n\tvideo_projects \"github.com/magichourhq/magic-hour-go/resources/v1/video_projects\"\n)\n\nfunc main() {\n\tclient := sdk.NewClient(\n\t\tsdk.WithBearerAuth(os.Getenv(\"MAGIC_HOUR_API_KEY\")),\n\t)\n\tres, err := client.V1.VideoProjects.Get(video_projects.GetRequest{\n\t\tId: \"cuid-example\",\n\t})\n}"},{"lang":"rust","source":"let client = magic_hour::Client::default()\n .with_bearer_auth(\u0026std::env::var(\"MAGIC_HOUR_API_KEY\").unwrap());\nlet res = client\n .v1()\n .video_projects()\n .get(magic_hour::resources::v1::video_projects::GetRequest {\n id: \"cuid-example\".to_string(),\n })\n .await;"},{"lang":"curl","source":"curl --request GET \\\n --url https://api.magichour.ai/v1/video-projects/id \\\n --header 'accept: application/json' \\\n --header \"authorization: Bearer $MAGIC_HOUR_API_KEY\""},{"lang":"php","source":"\u003c?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, [\n CURLOPT_URL => \"https://api.magichour.ai/v1/video-projects/id\",\n CURLOPT_RETURNTRANSFER => true,\n CURLOPT_ENCODING => \"\",\n CURLOPT_MAXREDIRS => 10,\n CURLOPT_TIMEOUT => 30,\n CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n CURLOPT_CUSTOMREQUEST => \"GET\",\n CURLOPT_HTTPHEADER => [\n \"accept: application/json\",\n \"authorization: Bearer \u003ctoken>\"\n ],\n]);\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n echo \"cURL Error #:\" . $err;\n} else {\n echo $response;\n}"},{"lang":"java","source":"HttpResponse\u003cString> response = Unirest.get(\"https://api.magichour.ai/v1/video-projects/id\")\n .header(\"accept\", \"application/json\")\n .header(\"authorization\", \"Bearer \u003ctoken>\")\n .asString();"}],"method":"get","type":"path","servers":["28f6fa01-b971-4608-9922-fbb0960b0329"],"path":"/v1/video-projects/{id}","baseUrlOptions":["https://api.magichour.ai"],"title":"Get video details","codeSamples":[{"lang":"python","source":"from magic_hour import Client\nfrom os import getenv\n\nclient = Client(token=getenv(\"MAGIC_HOUR_API_KEY\"))\nres = client.v1.video_projects.get(id=\"cuid-example\")"},{"lang":"javascript","source":"import { Client } from \"magic-hour\";\n\nconst client = new Client({ token: process.env[\"MAGIC_HOUR_API_KEY\"] });\nconst res = await client.v1.videoProjects.get({ id: \"cuid-example\" });"},{"lang":"go","source":"package main\n\nimport (\n\tos \"os\"\n\n\tsdk \"github.com/magichourhq/magic-hour-go/client\"\n\tvideo_projects \"github.com/magichourhq/magic-hour-go/resources/v1/video_projects\"\n)\n\nfunc main() {\n\tclient := sdk.NewClient(\n\t\tsdk.WithBearerAuth(os.Getenv(\"MAGIC_HOUR_API_KEY\")),\n\t)\n\tres, err := client.V1.VideoProjects.Get(video_projects.GetRequest{\n\t\tId: \"cuid-example\",\n\t})\n}"},{"lang":"rust","source":"let client = magic_hour::Client::default()\n .with_bearer_auth(\u0026std::env::var(\"MAGIC_HOUR_API_KEY\").unwrap());\nlet res = client\n .v1()\n .video_projects()\n .get(magic_hour::resources::v1::video_projects::GetRequest {\n id: \"cuid-example\".to_string(),\n })\n .await;"},{"lang":"curl","source":"curl --request GET \\\n --url https://api.magichour.ai/v1/video-projects/id \\\n --header 'accept: application/json' \\\n --header \"authorization: Bearer $MAGIC_HOUR_API_KEY\""},{"lang":"php","source":"\u003c?php\n\n$curl = curl_init();\n\ncurl_setopt_array($curl, [\n CURLOPT_URL => \"https://api.magichour.ai/v1/video-projects/id\",\n CURLOPT_RETURNTRANSFER => true,\n CURLOPT_ENCODING => \"\",\n CURLOPT_MAXREDIRS => 10,\n CURLOPT_TIMEOUT => 30,\n CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\n CURLOPT_CUSTOMREQUEST => \"GET\",\n CURLOPT_HTTPHEADER => [\n \"accept: application/json\",\n \"authorization: Bearer \u003ctoken>\"\n ],\n]);\n\n$response = curl_exec($curl);\n$err = curl_error($curl);\n\ncurl_close($curl);\n\nif ($err) {\n echo \"cURL Error #:\" . $err;\n} else {\n echo $response;\n}"},{"lang":"java","source":"HttpResponse\u003cString> response = Unirest.get(\"https://api.magichour.ai/v1/video-projects/id\")\n .header(\"accept\", \"application/json\")\n .header(\"authorization\", \"Bearer \u003ctoken>\")\n .asString();"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"346a455b-f1c6-400b-a364-273d8ce5cde9":{"name":"id","in":"path","required":true,"schema":{"type":"string","example":"cuid-example","isRequired":true,"description":"Unique ID of the video project. This value is returned by all of the POST APIs that create a video.","uniqueKey":"","typeLabel":"string"},"description":"Unique ID of the video project. This value is returned by all of the POST APIs that create a video."}},"responses":{"6537e6d5-4b69-4812-85cc-900c571efab7":{"description":"Success","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","example":"cuid-example","description":"Unique ID of the video. Use it with the [Get video Project API](https://docs.magichour.ai/api-reference/video-projects/get-video-details) to fetch status and downloads.","isRequired":true,"uniqueKey":"id","typeLabel":"string"},"name":{"oneOf":[{"type":"string","description":"The name of the video.","example":"Example Name","isRequired":true,"uniqueKey":"name.oneOf.0","typeLabel":"string"},{"type":"null","description":"The name of the video.","example":"Example Name","isRequired":true,"uniqueKey":"name.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"name","typeLabel":"string | null"},"status":{"type":"string","enum":["draft","queued","rendering","complete","error","canceled"],"description":"The status of the video.\n\n- `draft` - the project was created but has not been submitted for rendering\n- `queued` - the job is waiting for an available server\n- `rendering` - the job is being processed; the `video.started` webhook event fires when rendering begins\n- `complete` - the job finished successfully; fires `video.completed`\n- `error` - the job failed during processing; fires `video.errored`\n- `canceled` - the job was manually canceled (for example from the Magic Hour web app)\n\n**Note:** `rendering`, `complete`, and `error` have matching webhook events; `canceled` does not - a canceled job emits no webhook event, so poll this endpoint to detect cancellation.","example":"complete","isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"type":{"type":"string","description":"The type of the video project. Possible values are ANIMATION, AUTO_SUBTITLE, VIDEO_TO_VIDEO, FACE_SWAP, TEXT_TO_VIDEO, IMAGE_TO_VIDEO, LIP_SYNC, TALKING_PHOTO, AVATAR, VIDEO_UPSCALER, VIDEO_EDITOR, CHARACTER_REPLACE, VIDEO_COLORIZER, VIDEO_WATERMARK_REMOVER, VIDEO_COLOR_GRADER, VIDEO_TRANSLATOR, MUSIC_VIDEO, EXTEND, AUDIO_TO_VIDEO, VIDEO_EXPANDER, UGC_AD","example":"FACE_SWAP","isRequired":true,"uniqueKey":"type","typeLabel":"string"},"created_at":{"type":"string","format":"date-time","isRequired":true,"uniqueKey":"created_at","typeLabel":"string\u003cdate-time>"},"width":{"type":"integer","description":"The width of the final output video. A value of -1 indicates the width can be ignored.","example":512,"isRequired":true,"uniqueKey":"width","typeLabel":"integer"},"height":{"type":"integer","description":"The height of the final output video. A value of -1 indicates the height can be ignored.","example":960,"isRequired":true,"uniqueKey":"height","typeLabel":"integer"},"enabled":{"type":"boolean","description":"Whether this resource is active. If false, it is deleted.","isRequired":true,"uniqueKey":"enabled","typeLabel":"boolean"},"start_seconds":{"type":"number","minimum":0,"description":"Start time of your clip (seconds). Must be ≥ 0.","format":"float","example":0,"isRequired":true,"uniqueKey":"start_seconds","typeLabel":"number\u003cfloat>"},"end_seconds":{"type":"number","minimum":0.1,"description":"End time of your clip (seconds). Must be greater than start_seconds.","format":"float","example":5,"isRequired":true,"uniqueKey":"end_seconds","typeLabel":"number\u003cfloat>"},"credits_charged":{"type":"integer","description":"The amount of credits deducted from your account to generate the video. If the status is not 'complete', this value is an estimate and may be adjusted upon completion based on the actual FPS of the output video. \n\nIf video generation fails, credits will be refunded, and this field will be updated to include the refund.","example":450,"isRequired":true,"uniqueKey":"credits_charged","typeLabel":"integer"},"fps":{"type":"number","description":"Frame rate of the video. If the status is not 'complete', the frame rate is an estimate and will be adjusted when the video completes.","example":30,"isRequired":true,"uniqueKey":"fps","typeLabel":"number"},"error":{"oneOf":[{"type":"object","properties":{"message":{"type":"string","description":"Details on the reason why a failure happened.","example":"Please use an image with a detectable face","isRequired":true,"uniqueKey":"error.oneOf.0.message","typeLabel":"string"},"code":{"type":"string","example":"no_source_face","description":"An error code to indicate why a failure happened.","isRequired":true,"uniqueKey":"error.oneOf.0.code","typeLabel":"string"}},"required":["message","code"],"description":"In the case of an error, this object will contain the error encountered during video render","example":null,"isRequired":true,"uniqueKey":"error.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"message":{"type":"string","description":"Details on the reason why a failure happened.","example":"Please use an image with a detectable face"},"code":{"type":"string","example":"no_source_face","description":"An error code to indicate why a failure happened."}},"required":["message","code"],"description":"In the case of an error, this object will contain the error encountered during video render","example":null,"isRequired":true,"uniqueKey":"error.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"error","typeLabel":"object | null"},"downloads":{"type":"array","items":{"type":"object","properties":{"url":{"type":"string","format":"uri","example":"https://videos.magichour.ai/id/output.mp4","isRequired":true,"uniqueKey":"downloads.items.[INDEX].url","typeLabel":"string\u003curi>"},"expires_at":{"type":"string","format":"date-time","example":"2024-10-19T05:16:19.027Z","isRequired":true,"uniqueKey":"downloads.items.[INDEX].expires_at","typeLabel":"string\u003cdate-time>"}},"required":["url","expires_at"],"description":"The download url and expiration date of the image project","uniqueKey":"downloads.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"downloads","typeLabel":"object[]"}},"required":["id","name","status","type","created_at","width","height","enabled","start_seconds","end_seconds","credits_charged","fps","error","downloads"],"description":"Success","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"id":"cuid-example","name":"Example Name","status":"complete","type":"FACE_SWAP","created_at":"2023-11-07T05:31:56Z","width":512,"height":960,"enabled":true,"start_seconds":0,"end_seconds":5,"credits_charged":450,"fps":30,"error":null,"downloads":[{"url":"https://videos.magichour.ai/id/output.mp4","expires_at":"2024-10-19T05:16:19.027Z"}]}}},"exampleType":"generated"}},"exampleType":"generated"},"54218b65-ea70-4af5-ae8c-1bff28dc6997":{"description":"Invalid Request","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["invalid_request"],"description":"Machine-readable error code.\n\n- `invalid_request`: Fix request syntax or validation errors before retrying.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"invalid_request","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"ac60d6c8-eb60-4e86-9afb-94f2d219bf26":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["unauthorized"],"description":"Machine-readable error code.\n\n- `unauthorized`: Provide a valid API key before retrying.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"unauthorized","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"439e21e1-eb21-44a6-b611-af7379a71806":{"description":"Payment Required","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["insufficient_credits","subscription_required","plan_upgrade_required"],"description":"Machine-readable error code.\n\n- `insufficient_credits`: Purchase credits before retrying.\n\n- `subscription_required`: Start a subscription before retrying.\n\n- `plan_upgrade_required`: Upgrade the subscription plan before retrying.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"insufficient_credits","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"46113c9a-726b-441f-bbe8-928076eaed4b":{"description":"Not Found","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["not_found"],"description":"Machine-readable error code.\n\n- `not_found`: Check the route or resource identifier.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"not_found","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"d557d775-997d-43b2-977a-2d22f0ae20e7":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","required":["code","message"],"properties":{"code":{"type":"string","enum":["internal_server_error"],"description":"Machine-readable error code.\n\n- `internal_server_error`: Retry later or contact support if the error continues.","isRequired":true,"uniqueKey":"code","typeLabel":"enum\u003cstring>"},"message":{"type":"string","description":"Human-readable error message.","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"code":"internal_server_error","message":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"a31f7866-dc18-4ae8-a0af-4aa460967cf1":{"bearerAuth":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003capi_key>`, where `\u003capi_key>` is your API key. To get your API key, go to [Developer Hub](https://magichour.ai/developer?tab=api-keys\u0026utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=api-reference) and click \"Create new API Key\".","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"28f6fa01-b971-4608-9922-fbb0960b0329":{"url":"https://api.magichour.ai"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003capi_key>`, where `\u003capi_key>` is your API key. To get your API key, go to [Developer Hub](https://magichour.ai/developer?tab=api-keys\u0026utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=api-reference) and click \"Create new API Key\".","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003capi_key>`, where `\u003capi_key>` is your API key. To get your API key, go to [Developer Hub](https://magichour.ai/developer?tab=api-keys\u0026utm_source=docs\u0026utm_medium=referral\u0026utm_campaign=api-reference) and click \"Create new API Key\".","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"magichour","siteName":"Magic Hour API Docs","title":"Get Video Details API Reference - Magic Hour Docs - Magic Hour API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-05T17:08:41.926Z","originalFileLocation":"api-reference/video-projects/get-video-details.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"dark\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Check the progress of a video project. The downloads field is populated after a successful render. Statuses - queued — waiting to start - rendering — in progress - complete — ready; see downloads - error — a failure occurred (see error) - canceled — user canceled - draft — not used\">\u003cmeta data-mint-head name=\"application-name\" content=\"Magic Hour API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get Video Details API Reference - Magic Hour Docs - Magic Hour API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Check the progress of a video project. The downloads field is populated after a successful render. Statuses - queued — waiting to start - rendering — in progress - complete — ready; see downloads - error — a failure occurred (see error) - canceled — user canceled - draft — not used\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Magic Hour API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.magichour.ai/api-reference/video-projects/get-video-details\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get Video Details API Reference - Magic Hour Docs - Magic Hour API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Check the progress of a video project. The downloads field is populated after a successful render. Statuses - queued — waiting to start - rendering — in progress - complete — ready; see downloads - error — a failure occurred (see error) - canceled — user canceled - draft — not used\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/magichour/pV2W72GIHTaiOFzk/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Magic Hour API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#3b82f6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.magichour.ai/api-reference/video-projects/get-video-details\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/video-projects/get-video-details.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.magichour.ai/#organization\",\"name\":\"Magic Hour API Docs\",\"url\":\"https://docs.magichour.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/magichour/5sgGJpuuipkw5s5v/icons/logo-light.svg?fit=max\u0026auto=format\u0026n=5sgGJpuuipkw5s5v\u0026q=85\u0026s=1f167e30baf11927bc2e0932411e455b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.magichour.ai#website\",\"name\":\"Magic Hour API Docs\",\"url\":\"https://docs.magichour.ai\",\"publisher\":{\"@id\":\"https://docs.magichour.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.magichour.ai/api-reference/video-projects/get-video-details#webpage\",\"url\":\"https://docs.magichour.ai/api-reference/video-projects/get-video-details\",\"name\":\"Get Video Details API Reference - Magic Hour Docs\",\"description\":\"Check the progress of a video project. The downloads field is populated after a successful render. Statuses - queued — waiting to start - rendering — in progress - complete — ready; see downloads - error — a failure occurred (see error) - canceled — user canceled - draft — not used\",\"dateModified\":\"2026-11-05T17:08:41.926Z\",\"isPartOf\":{\"@id\":\"https://docs.magichour.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.magichour.ai/api-reference/video-projects/get-video-details#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.magichour.ai/api-reference/video-projects/get-video-details#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Magic Hour API Docs\",\"item\":\"https://docs.magichour.ai\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get Video Details API Reference - Magic Hour Docs\",\"item\":\"https://docs.magichour.ai/api-reference/video-projects/get-video-details\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.magichour.ai/api-reference/video-projects/get-video-details#apireference\",\"headline\":\"Get Video Details API Reference - Magic Hour Docs\",\"name\":\"Get Video Details API Reference - Magic Hour Docs\",\"description\":\"Check the progress of a video project. The downloads field is populated after a successful render. Statuses - queued — waiting to start - rendering — in progress - complete — ready; see downloads - error — a failure occurred (see error) - canceled — user canceled - draft — not used\",\"url\":\"https://docs.magichour.ai/api-reference/video-projects/get-video-details\",\"mainEntityOfPage\":{\"@id\":\"https://docs.magichour.ai/api-reference/video-projects/get-video-details#webpage\"},\"image\":\"https://d28dkohlqf5vwj.cloudfront.net/open-graph/logo-social-noisy-spectrum.jpg\",\"dateModified\":\"2026-11-05T17:08:41.926Z\",\"publisher\":{\"@id\":\"https://docs.magichour.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.magichour.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Magic Hour API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Magic Hour API Docs","nav":{"global":{"anchors":[{"anchor":"API quickstart","icon":"forward-fast","href":"/get-started/quick-start"},{"anchor":"API pricing","icon":"credit-card","href":"/billing/overview"},{"anchor":"Community","icon":"discord","href":"https://discord.com/invite/JX5rgsZaJp"},{"anchor":"Status","icon":"wave-pulse","href":"https://status.magichour.ai"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","pages":[{"title":"API Reference","href":"/api-reference/overview"},{"title":"Models and Credit Costs","sidebarTitle":"Models","href":"/api-reference/models"},{"title":"Historical API Processing Times","sidebarTitle":"Processing Times","href":"/api-reference/processing-times"},{"group":"Account","pages":[{"openapi":"get /v1/account","title":"Get account details","href":"/api-reference/account/get-account-details"}]},{"group":"Files","pages":[{"openapi":"get /v1/saved-items","title":"List saved items","href":"/api-reference/files/list-saved-items"},{"openapi":"post /v1/files/upload-urls","title":"Generate Asset Upload Urls API Reference - Magic Hour Docs","sidebarTitle":"Generate Asset Upload Urls","href":"/api-reference/files/generate-asset-upload-urls"},{"openapi":"get /v1/face-detection/{id}","title":"Get Face Detection Details API Reference - Magic Hour Docs","sidebarTitle":"Get Face Detection Details","href":"/api-reference/files/get-face-detection-details"},{"openapi":"post /v1/face-detection","title":"Face Detection API Reference - Magic Hour Docs","sidebarTitle":"Face Detection","description":"Detect faces in an image or video. \n \nUse this API to get the list of faces detected in the image or video to use in the [face swap photo](https://docs.magichour.ai/api-reference/image-projects/face-swap-photo) or [face swap video](https://docs.magichour.ai/api-reference/video-projects/face-swap-video) API calls for multi-face swaps.\n\nNote: Face detection is free to use for the near future. Pricing may change in the future.","href":"/api-reference/files/face-detection"}]},{"group":"Video Projects","pages":[{"openapi":"get /v1/video-projects/{id}","title":"Get Video Details API Reference - Magic Hour Docs","sidebarTitle":"Get Video Details","href":"/api-reference/video-projects/get-video-details"},{"openapi":"delete /v1/video-projects/{id}","title":"Delete Video API Reference - Magic Hour Docs","sidebarTitle":"Delete Video","description":"Permanently delete the rendered video. This action is not reversible, please be sure before deleting.","href":"/api-reference/video-projects/delete-video"},{"openapi":"post /v1/ai-talking-photo","title":"AI Talking Photo API Reference - Magic Hour Docs","sidebarTitle":"AI Talking Photo","href":"/api-reference/video-projects/ai-talking-photo"},{"openapi":"post /v1/ai-ugc-ad","title":"AI UGC Ad Generator","href":"/api-reference/video-projects/ai-ugc-ad-generator"},{"openapi":"post /v1/ai-video-editor","title":"AI Video Editor","href":"/api-reference/video-projects/ai-video-editor"},{"openapi":"post /v1/ai-video-translator","title":"AI Video Translator","href":"/api-reference/video-projects/ai-video-translator"},{"openapi":"post /v1/ai-video-upscaler","title":"AI Video Upscaler","href":"/api-reference/video-projects/ai-video-upscaler"},{"openapi":"post /v1/animation","title":"Animation API Reference - Magic Hour Docs","sidebarTitle":"Animation","href":"/api-reference/video-projects/animation"},{"openapi":"post /v1/audio-to-video","title":"Audio-to-Video","href":"/api-reference/video-projects/audio-to-video"},{"openapi":"post /v1/auto-subtitle-generator","title":"Auto Subtitle Generator API Reference - Magic Hour Docs","sidebarTitle":"Auto Subtitle Generator","href":"/api-reference/video-projects/auto-subtitle-generator"},{"openapi":"post /v1/character-replace","title":"Character Replace API Reference - Magic Hour Docs","sidebarTitle":"Character Replace","href":"/api-reference/video-projects/character-replace"},{"openapi":"post /v1/face-swap","title":"Face Swap Video API Reference - Magic Hour Docs","sidebarTitle":"Face Swap Video","href":"/api-reference/video-projects/face-swap-video"},{"openapi":"post /v1/image-to-video","title":"Image-to-Video API Reference - Magic Hour Docs","sidebarTitle":"Image-to-Video","href":"/api-reference/video-projects/image-to-video"},{"openapi":"post /v1/lip-sync","title":"Lip Sync API Reference - Magic Hour Docs","sidebarTitle":"Lip Sync","href":"/api-reference/video-projects/lip-sync"},{"openapi":"post /v1/text-to-video","title":"Text-to-Video API Reference - Magic Hour Docs","sidebarTitle":"Text-to-Video","href":"/api-reference/video-projects/text-to-video"},{"openapi":"post /v1/video-to-video","title":"Video-to-Video API Reference - Magic Hour Docs","sidebarTitle":"Video-to-Video","href":"/api-reference/video-projects/video-to-video"}]},{"group":"Image Projects","pages":[{"openapi":"get /v1/image-projects/{id}","title":"Get Image Details API Reference - Magic Hour Docs","sidebarTitle":"Get Image Details","href":"/api-reference/image-projects/get-image-details"},{"openapi":"delete /v1/image-projects/{id}","title":"Delete Image API Reference - Magic Hour Docs","sidebarTitle":"Delete Image","href":"/api-reference/image-projects/delete-image"},{"openapi":"post /v1/ai-clothes-changer","title":"AI Clothes Changer API Reference - Magic Hour Docs","sidebarTitle":"AI Clothes Changer","href":"/api-reference/image-projects/ai-clothes-changer"},{"openapi":"post /v1/ai-face-editor","title":"AI Face Editor API Reference - Magic Hour Docs","sidebarTitle":"AI Face Editor","href":"/api-reference/image-projects/ai-face-editor"},{"openapi":"post /v1/ai-gif-generator","title":"AI GIF Generator API Reference - Magic Hour Docs","sidebarTitle":"AI GIF Generator","href":"/api-reference/image-projects/ai-gif-generator"},{"openapi":"post /v1/ai-image-editor","title":"AI Image Editor API Reference - Magic Hour Docs","sidebarTitle":"AI Image Editor","href":"/api-reference/image-projects/ai-image-editor"},{"openapi":"post /v1/ai-headshot-generator","title":"AI Headshot Generator API Reference - Magic Hour Docs","sidebarTitle":"AI Headshot Generator","href":"/api-reference/image-projects/ai-headshot-generator"},{"openapi":"post /v1/ai-image-generator","title":"AI Image Generator API Reference - Magic Hour Docs","sidebarTitle":"AI Image Generator","href":"/api-reference/image-projects/ai-image-generator"},{"openapi":"post /v1/ai-image-upscaler","title":"AI Image Upscaler API Reference - Magic Hour Docs","sidebarTitle":"AI Image Upscaler","href":"/api-reference/image-projects/ai-image-upscaler"},{"openapi":"post /v1/ai-meme-generator","title":"AI Meme Generator API Reference - Magic Hour Docs","sidebarTitle":"AI Meme Generator","href":"/api-reference/image-projects/ai-meme-generator"},{"openapi":"post /v1/ai-qr-code-generator","title":"AI QR Code Generator API Reference - Magic Hour Docs","sidebarTitle":"AI QR Code Generator","href":"/api-reference/image-projects/ai-qr-code-generator"},{"openapi":"post /v1/body-swap","title":"Body Swap","href":"/api-reference/image-projects/body-swap"},{"openapi":"post /v1/face-swap-photo","title":"Face Swap Photo API Reference - Magic Hour Docs","sidebarTitle":"Face Swap Photo","href":"/api-reference/image-projects/face-swap-photo"},{"openapi":"post /v1/head-swap","title":"Head Swap API Reference - Magic Hour Docs","sidebarTitle":"Head Swap","href":"/api-reference/image-projects/head-swap"},{"openapi":"post /v1/image-background-remover","title":"Image Background Remover API Reference - Magic Hour Docs","sidebarTitle":"Image Background Remover","href":"/api-reference/image-projects/image-background-remover"},{"openapi":"post /v1/photo-colorizer","title":"Photo Colorizer API Reference - Magic Hour Docs","sidebarTitle":"Photo Colorizer","href":"/api-reference/image-projects/photo-colorizer"}]},{"group":"Audio Projects","pages":[{"openapi":"get /v1/voices","title":"List voices","href":"/api-reference/audio-projects/list-voices"},{"openapi":"get /v1/audio-projects/{id}","title":"Get Audio Details API Reference - Magic Hour Docs","sidebarTitle":"Get Audio Details","href":"/api-reference/audio-projects/get-audio-details"},{"openapi":"delete /v1/audio-projects/{id}","title":"Delete Audio API Reference - Magic Hour Docs","sidebarTitle":"Delete Audio","href":"/api-reference/audio-projects/delete-audio"},{"openapi":"post /v1/ai-music-generator","title":"AI Music Generator","href":"/api-reference/audio-projects/ai-music-generator"},{"openapi":"post /v1/ai-voice-generator","title":"AI Voice Generator API Reference - Magic Hour Docs","sidebarTitle":"AI Voice Generator","href":"/api-reference/audio-projects/ai-voice-generator"},{"openapi":"post /v1/ai-voice-cloner","title":"AI Voice Cloner API Reference - Magic Hour Docs","sidebarTitle":"AI Voice Cloner","href":"/api-reference/audio-projects/ai-voice-cloner"}]}],"groups":[{"group":"Account","pages":[{"openapi":"get /v1/account","title":"Get account details","href":"/api-reference/account/get-account-details"}]},{"group":"Files","pages":[{"openapi":"get /v1/saved-items","title":"List saved items","href":"/api-reference/files/list-saved-items"},{"openapi":"post /v1/files/upload-urls","title":"Generate Asset Upload Urls API Reference - Magic Hour Docs","sidebarTitle":"Generate Asset Upload Urls","href":"/api-reference/files/generate-asset-upload-urls"},{"openapi":"get /v1/face-detection/{id}","title":"Get Face Detection Details API Reference - Magic Hour Docs","sidebarTitle":"Get Face Detection Details","href":"/api-reference/files/get-face-detection-details"},{"openapi":"post /v1/face-detection","title":"Face Detection API Reference - Magic Hour Docs","sidebarTitle":"Face Detection","href":"/api-reference/files/face-detection"}]},{"group":"Audio Projects","pages":[{"openapi":"get /v1/voices","title":"List voices","href":"/api-reference/audio-projects/list-voices"},{"openapi":"get /v1/audio-projects/{id}","title":"Get Audio Details API Reference - Magic Hour Docs","sidebarTitle":"Get Audio Details","href":"/api-reference/audio-projects/get-audio-details"},{"openapi":"delete /v1/audio-projects/{id}","title":"Delete Audio API Reference - Magic Hour Docs","sidebarTitle":"Delete Audio","href":"/api-reference/audio-projects/delete-audio"},{"openapi":"post /v1/ai-music-generator","title":"AI Music Generator","href":"/api-reference/audio-projects/ai-music-generator"},{"openapi":"post /v1/ai-voice-cloner","title":"AI Voice Cloner API Reference - Magic Hour Docs","sidebarTitle":"AI Voice Cloner","href":"/api-reference/audio-projects/ai-voice-cloner"},{"openapi":"post /v1/ai-voice-generator","title":"AI Voice Generator API Reference - Magic Hour Docs","sidebarTitle":"AI Voice Generator","description":"Generate speech from text. Each character costs 0.1 credits. The cost is rounded up to the nearest whole number.","href":"/api-reference/audio-projects/ai-voice-generator"}]},{"group":"Video Projects","pages":[{"openapi":"get /v1/video-projects/{id}","title":"Get Video Details API Reference - Magic Hour Docs","sidebarTitle":"Get Video Details","href":"/api-reference/video-projects/get-video-details"},{"openapi":"delete /v1/video-projects/{id}","title":"Delete Video API Reference - Magic Hour Docs","sidebarTitle":"Delete Video","description":"Permanently delete the rendered video. This action is not reversible, please be sure before deleting.","href":"/api-reference/video-projects/delete-video"},{"openapi":"post /v1/ai-talking-photo","title":"AI Talking Photo API Reference - Magic Hour Docs","sidebarTitle":"AI Talking Photo","href":"/api-reference/video-projects/ai-talking-photo"},{"openapi":"post /v1/ai-ugc-ad","title":"AI UGC Ad Generator","href":"/api-reference/video-projects/ai-ugc-ad-generator"},{"openapi":"post /v1/ai-video-editor","title":"AI Video Editor","href":"/api-reference/video-projects/ai-video-editor"},{"openapi":"post /v1/ai-video-translator","title":"AI Video Translator","href":"/api-reference/video-projects/ai-video-translator"},{"openapi":"post /v1/ai-video-upscaler","title":"AI Video Upscaler","href":"/api-reference/video-projects/ai-video-upscaler"},{"openapi":"post /v1/animation","title":"Animation API Reference - Magic Hour Docs","sidebarTitle":"Animation","href":"/api-reference/video-projects/animation"},{"openapi":"post /v1/audio-to-video","title":"Audio-to-Video","href":"/api-reference/video-projects/audio-to-video"},{"openapi":"post /v1/auto-subtitle-generator","title":"Auto Subtitle Generator API Reference - Magic Hour Docs","sidebarTitle":"Auto Subtitle Generator","href":"/api-reference/video-projects/auto-subtitle-generator"},{"openapi":"post /v1/character-replace","title":"Character Replace API Reference - Magic Hour Docs","sidebarTitle":"Character Replace","href":"/api-reference/video-projects/character-replace"},{"openapi":"post /v1/face-swap","title":"Face Swap Video API Reference - Magic Hour Docs","sidebarTitle":"Face Swap Video","href":"/api-reference/video-projects/face-swap-video"},{"openapi":"post /v1/image-to-video","title":"Image-to-Video API Reference - Magic Hour Docs","sidebarTitle":"Image-to-Video","href":"/api-reference/video-projects/image-to-video"},{"openapi":"post /v1/lip-sync","title":"Lip Sync API Reference - Magic Hour Docs","sidebarTitle":"Lip Sync","href":"/api-reference/video-projects/lip-sync"},{"openapi":"post /v1/text-to-video","title":"Text-to-Video API Reference - Magic Hour Docs","sidebarTitle":"Text-to-Video","href":"/api-reference/video-projects/text-to-video"},{"openapi":"post /v1/video-to-video","title":"Video-to-Video API Reference - Magic Hour Docs","sidebarTitle":"Video-to-Video","href":"/api-reference/video-projects/video-to-video"}]},{"group":"Image Projects","pages":[{"openapi":"get /v1/image-projects/{id}","title":"Get Image Details API Reference - Magic Hour Docs","sidebarTitle":"Get Image Details","href":"/api-reference/image-projects/get-image-details"},{"openapi":"delete /v1/image-projects/{id}","title":"Delete Image API Reference - Magic Hour Docs","sidebarTitle":"Delete Image","href":"/api-reference/image-projects/delete-image"},{"openapi":"post /v1/ai-clothes-changer","title":"AI Clothes Changer API Reference - Magic Hour Docs","sidebarTitle":"AI Clothes Changer","href":"/api-reference/image-projects/ai-clothes-changer"},{"openapi":"post /v1/ai-face-editor","title":"AI Face Editor API Reference - Magic Hour Docs","sidebarTitle":"AI Face Editor","href":"/api-reference/image-projects/ai-face-editor"},{"openapi":"post /v1/ai-gif-generator","title":"AI GIF Generator API Reference - Magic Hour Docs","sidebarTitle":"AI GIF Generator","href":"/api-reference/image-projects/ai-gif-generator"},{"openapi":"post /v1/ai-image-editor","title":"AI Image Editor API Reference - Magic Hour Docs","sidebarTitle":"AI Image Editor","href":"/api-reference/image-projects/ai-image-editor"},{"openapi":"post /v1/ai-headshot-generator","title":"AI Headshot Generator API Reference - Magic Hour Docs","sidebarTitle":"AI Headshot Generator","href":"/api-reference/image-projects/ai-headshot-generator"},{"openapi":"post /v1/ai-image-generator","title":"AI Image Generator API Reference - Magic Hour Docs","sidebarTitle":"AI Image Generator","href":"/api-reference/image-projects/ai-image-generator"},{"openapi":"post /v1/ai-image-upscaler","title":"AI Image Upscaler API Reference - Magic Hour Docs","sidebarTitle":"AI Image Upscaler","href":"/api-reference/image-projects/ai-image-upscaler"},{"openapi":"post /v1/ai-meme-generator","title":"AI Meme Generator API Reference - Magic Hour Docs","sidebarTitle":"AI Meme Generator","href":"/api-reference/image-projects/ai-meme-generator"},{"openapi":"post /v1/ai-qr-code-generator","title":"AI QR Code Generator API Reference - Magic Hour Docs","sidebarTitle":"AI QR Code Generator","href":"/api-reference/image-projects/ai-qr-code-generator"},{"openapi":"post /v1/body-swap","title":"Body Swap","href":"/api-reference/image-projects/body-swap"},{"openapi":"post /v1/face-swap-photo","title":"Face Swap Photo API Reference - Magic Hour Docs","sidebarTitle":"Face Swap Photo","href":"/api-reference/image-projects/face-swap-photo"},{"openapi":"post /v1/head-swap","title":"Head Swap API Reference - Magic Hour Docs","sidebarTitle":"Head Swap","href":"/api-reference/image-projects/head-swap"},{"openapi":"post /v1/image-background-remover","title":"Image Background Remover API Reference - Magic Hour Docs","sidebarTitle":"Image Background Remover","href":"/api-reference/image-projects/image-background-remover"},{"openapi":"post /v1/photo-colorizer","title":"Photo Colorizer API Reference - Magic Hour Docs","sidebarTitle":"Photo Colorizer","href":"/api-reference/image-projects/photo-colorizer"}]}]},{"tab":"Webhook Reference","pages":[{"title":"Webhook Reference","href":"/webhook-reference/overview"}]},{"tab":"Changelog","pages":[{"title":"Changelog","href":"/changelog"}]}]},"basePath":"","title":"Get Video Details API Reference - Magic Hour Docs - Magic Hour API Docs","buildId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","deploymentId":"dpl_8LJbrAiZvr1K98WQNZXCyY5AvT34","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-i2a3QZ8E.js","utils-ChLwp8m0.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DRktVTDc.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CA2pEs4T.js","snippetPresets-ClQ6XrKD.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-Ct_Lv36y.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Cn2PYw9e.js","shallow-rkyymjXQ.js","getApiPlaygroundDisplay-BB9vkXtE.js","CodeSnippet-Bm5RU7m1.js","CodeSnippets-BgU9Deuz.js","Page-BUDYNlhG.js","getPastedJson-BD-6NNum.js","icon-8Z6tud2e.js","MethodPill-Tuzr4g3V.js","DuplicateIcon-0ceWFYhN.js","createIcon-FBXow_ST.js","DynamicMarkdown-CD8713Yy.js","SectionHeading-7zgzQbH-.js","axios-vUo_bRtp.js","Markdown-D7Ofw1oz.js","clsx-eKJ4rcii.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CwjSCXIK.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-9EK5IAXV.js"]}